Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.xmlschema
Class SimpleContentRestrictionState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.ExpressionState
                  com.sun.msv.reader.ExpressionWithChildState
                      com.sun.msv.reader.SequenceState
                          com.sun.msv.reader.xmlschema.SimpleContentRestrictionState

All Implemented Interfaces:
  AnyAttributeOwner, org.xml.sax.ContentHandler, ExpressionOwner, FacetStateParent, XSTypeOwner

public class SimpleContentRestrictionState
extends SequenceState
implements FacetStateParent, XSTypeOwner, AnyAttributeOwner

used to parse restriction/extension element as a child of <simpleContent> element.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Method Summary
`XSTypeIncubator` | `getIncubator()` gets an incubator object that the owner holds.
`java.lang.String` | `getTargetNamespaceUri()` Returns the target namespace URI of newly created simple types.
`void` | `onEndChild(XSDatatypeExp child)`
`void` | `setAttributeWildcard(AttributeWildcard local)` Sets the attribtue wildcard.

Methods inherited from class com.sun.msv.reader.ExpressionWithChildState
`onEndChild`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setAttributeWildcard

    public void setAttributeWildcard(AttributeWildcard local)

  Description copied from interface: `AnyAttributeOwner`
  Sets the attribtue wildcard.

  Specified by:
    `setAttributeWildcard` in interface `AnyAttributeOwner`

### getIncubator

    public XSTypeIncubator getIncubator()

  Description copied from interface: `FacetStateParent`
  gets an incubator object that the owner holds.

  Specified by:
    `getIncubator` in interface `FacetStateParent`

### getTargetNamespaceUri

    public java.lang.String getTargetNamespaceUri()

  Description copied from interface: `XSTypeOwner`
  Returns the target namespace URI of newly created simple types. If the context you are using this package doesn't have the notion of the target namespace URI, return the empty string.

  Specified by:
    `getTargetNamespaceUri` in interface `XSTypeOwner`

### onEndChild

    public void onEndChild(XSDatatypeExp child)

  Specified by:
    `onEndChild` in interface `XSTypeOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD